﻿@model Coscine.Api.STS.Models.ORCiDModel

@{
    Layout = null;
}


<!DOCTYPE html>

<html>
<head>
    <title>Login - Coscine</title>
    <link rel="icon" href="/_layouts/15/images/Coscine.SharePoint.RWTHMaster/Favicon.png" />
</head>
<body>
    <div>
        @using (Html.BeginForm(new { returnUrl = ViewBag.ReturnUrl }))
        {
            @Html.AntiForgeryToken()
            @Html.ValidationSummary(true)

            @Html.HiddenFor(m => m.ORCiD_JWT, new { id = "ORCiD_JWT" })
            <input type="hidden" name="wa" value="wsignin1.0" />
            <button type="button" style="display: none;" id="ORCiD_submit" value="Submit" class="submit">Proceed</button>
        }
    </div>

    <script>
        (function () {
            document.getElementById("ORCiD_submit").addEventListener("click", function () {
                var hash = window.location.hash;
                hash = hash.substr(hash.indexOf("id_token") + "id_token".length + 1);
                hash = hash.substr(0, hash.indexOf("&"));

                document.getElementById("ORCiD_JWT").value = hash;
                this.form.submit();
            });
            document.getElementById("ORCiD_submit").click();
        })();
    </script>
</body>
</html>
